Hardware Locality (hwloc) 1.4

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
OpenFabrics-Specific Functions

## Functions

static inline int | hwloc_ibv_get_device_cpuset (hwloc_topology_t topology , struct ibv_device *ibdev, hwloc_cpuset_t set)

## Function Documentation

static inline int hwloc_ibv_get_device_cpuset | ( | hwloc_topology_t topology | ,
|  | struct ibv_device * | ibdev,
|  | hwloc_cpuset_t | set
| ) |  | `[static]`

Get the CPU set of logical processors that are physically close to device `ibdev`.

For the given OpenFabrics device `ibdev`, read the corresponding kernel-provided cpumap file and return the corresponding CPU set. This function is currently only implemented in a meaningful way for Linux; other systems will simply get a full cpuset.